## GimpConfig-deserialize

GimpConfig-deserialize — Deserializing code for libgimpconfig.

## Functions

gboolean | gimp_config_deserialize_properties ()
GTokenType | gimp_config_deserialize_property ()

## Description

Deserializing code for libgimpconfig.

## Functions

### gimp_config_deserialize_properties ()

    gboolean
    gimp_config_deserialize_properties (GimpConfig *config,
                                        GScanner *scanner,
                                        gint nest_level);

This function uses the `scanner` to configure the properties of `config` .

#### Parameters

config | a GimpConfig. |
scanner | a GScanner. |
nest_level | the nest level |

#### Returns

`TRUE` on success, `FALSE` otherwise.

Since: 2.4

### gimp_config_deserialize_property ()

    GTokenType
    gimp_config_deserialize_property (GimpConfig *config,
                                      GScanner *scanner,
                                      gint nest_level);

This function deserializes a single property of `config` . You shouldn't need to call this function directly. If possible, use `gimp_config_deserialize_properties()` instead.

#### Parameters

config | a GimpConfig. |
scanner | a GScanner. |
nest_level | the nest level |

#### Returns

`G_TOKEN_RIGHT_PAREN` on success, otherwise the expected GTokenType or `G_TOKEN_NONE` if the expected token was found but couldn't be parsed.

Since: 2.4

## Types and Values